(define edb-in (dtlog-edb "../trust/trust1.sqlite"))

(define rules `(
    ,(dtlog-rule ((controlled Comp2 Comp1) (has_shares Comp1 Comp2 N)
         (dtlog-evpr! (> N 50))))
    ,(dtlog-rule ((all_controls Comp1 Comp2) (controlled Comp2 Comp1)))
    ,(dtlog-rule ((all_controls Comp1 Comp2) (all_controls Comp1 Comp3) 
         (controlled Comp2 Comp3)))))

(define query 
  (dtlog-query ((company Comp1 Market Quota1)
        (dtlog-evpr! Total1 sum ((all_controls Comp1 Comp2) 
	                          (company Comp2 Market Quota2)) 
                 Quota2) 
        (dtlog-evpr! Total (+ Total1 Quota1))
	(trust_limit Market Thershold)
	(dtlog-evpr! (> Total Thershold)))))

;(dtlog-print-result (dtlog-eval rules edb-in))
(define q-res (dtlog-eval-query rules query edb-in))


(cout nl query " = " q-res nl)