(module dtlog-bigloo
    (import sqlite)
    (import os)
    (import times)
    (include "../common/myenv.scm")
    (include "../common/bigloo/srfi-1.scm")
    (include "../common/bigloo/common-bigloo.scm")
    (include "./bench-tools.scm")
    (include "./rel-algebra.scm")
    (include "./unify.scm")
    (include "./qsqr.scm")
    (include "./calculating.scm")
    (include "./dtlog-to-ra.scm")
    (include "./dtlog-parse.scm")
    (include "./dtlog-system.scm")
    (main main)
)

(define (main argv)
 (run-dtlog argv))
